Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18578

Description

I have a strange problem in QGIS 2.2 (problem is also present in QGIS 2.1). When I add a point (shapefile) layer, apply graduated style,

everything looks fine. Then I save project, reopen it, and some of the points are missing.

When I open attribute table all points are there, but some of them are not shown on the map. When I remove graduated style then all

points show up on the map... Zooming, refreshing view and changing projection doesn't help.

Problem is that QGIS does wrong kind of rounding when it automatically creates equal intervals. For example, my point data ranges from

0.9999015844 to 1.0002431856. Lower interval bound in QGIS UI is set to 0.9999 and upper bound is 1.0002. After saving project and

inspecting project file with notepad++, I found that actual saved values are 0.999902 (lower bound) and 1.000243 (upper bound).

This means that some point will fall out from interval and will not be shown on the map. I attached project file with data and screenshots.

History

#1 - 2014-06-21 08:05 AM - Jürgen Fischer

- Category set to Symbology

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

QGIS-bug.zip 418 KB 2014-04-24 Zoran Petrovic
